package com.trade.admin.workflow.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.trade.common.core.domain.BaseEntity;
import com.trade.service.system.domain.SysDictData;

/**
 * @Description:保理项目实体
 * @Author:wanxiangZhou
 * @E-mail:zhouyu@sunxung.cn
 * @Date:2018年7月30日 下午7:41:28
 */
public class Project extends BaseEntity {

    /**
     * 业务编号
     */
    @TableField("business_number")
    private String businessNumber;

    /**
     * 对应不同模块的编号（包括采购合同编号、验收单号、结算单号、底层编号、）
     */
    @TableField(exist = false)
    private String moduleNumber;

    /**
     * 业务名称
     */
    @TableField(exist = false)
    private String businessName;

    /**
     * 项目名称
     */
    @TableField(exist = false)
    private String projectName;

    /**
     * 核心企业名称
     **/
    @TableField(exist = false)
    private String customerName;

    /**
     * 供应商名称
     **/
    @TableField(exist = false)
    private String supplierName;

    /**
     * 贸易平台名称
     **/
    @TableField(exist = false)
    private String tradingPlatformName;

    /**
     * 状态
     */
    @TableField(exist = false)
    private SysDictData statusDictionary;

    /**
     * 支用批次
     */
    @TableField(exist = false)
    private Integer quotaDisburseBatch;


    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getModuleNumber() {
        return moduleNumber;
    }

    public void setModuleNumber(String moduleNumber) {
        this.moduleNumber = moduleNumber;
    }

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getTradingPlatformName() {
        return tradingPlatformName;
    }

    public void setTradingPlatformName(String tradingPlatformName) {
        this.tradingPlatformName = tradingPlatformName;
    }

    public SysDictData getStatusDictionary() {
        return statusDictionary;
    }

    public void setStatusDictionary(SysDictData statusDictionary) {
        this.statusDictionary = statusDictionary;
    }

    public Integer getQuotaDisburseBatch() {
        return quotaDisburseBatch;
    }

    public void setQuotaDisburseBatch(Integer quotaDisburseBatch) {
        this.quotaDisburseBatch = quotaDisburseBatch;
    }
}
